> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/golf/round-details-scenarios/hole-score-update.md).

# Hole Score Update

This packet will be sent whenever it is apparent that the score for a particular hole is incorrect, after scoring for that hole has finished. This can happen because of manual error by the scorer or for many other reasons.

This packet will indicate which hole has the issue, and what the score should have been for that hole.

**Correction Object**

| Field Name               | Type    | Description                                                                                                                                                                                                                                                                                                                                                                                                               |
| ------------------------ | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| seqNum                   | integer | The sequence number of the packet.                                                                                                                                                                                                                                                                                                                                                                                        |
| timestamp                | date    | The timestamp of the event, in UTC                                                                                                                                                                                                                                                                                                                                                                                        |
| eventElementType         | string  | <p>The type of event, in this case HoleScoreUpdate<br><br></p><p>Full list of values include:<br></p><ul><li>TglHammerThrown</li><li>RefereeCalled</li><li>HoleScoreUpdate</li><li>Correction</li><li>ModeChange</li><li>Penalty</li><li>RoundStatusUpdate</li><li>BallDrop</li><li>ProvisionalBallSelected</li><li>HitBall</li><li>AddressingBall</li><li>ApproximateLie</li><li>DetailedLie</li><li>BallHoled</li></ul> |
| corrections              | object  | contains all the parts of the packet that have been changed, and their **new** values, i.e the new score values in this instance                                                                                                                                                                                                                                                                                          |
| groupId                  | integer | the group ID of the player who did the event                                                                                                                                                                                                                                                                                                                                                                              |
| roundNo                  | integer | The current round numer                                                                                                                                                                                                                                                                                                                                                                                                   |
| eventCorrectedIdentifier | object  | See object below                                                                                                                                                                                                                                                                                                                                                                                                          |
| timestampReceived        | date    | The server time of the moment that this packet has been processed                                                                                                                                                                                                                                                                                                                                                         |

\
**eventCorrectedIdentifier Object**

This contains information unique to the event that is being corrected – use this information to reference the previous packet so you know what packet and what data to update.

| Field Name | Type    | Description                                                           |
| ---------- | ------- | --------------------------------------------------------------------- |
| hole       | integer | The hole in which the event took place that is being corrected        |
| playerId   | integer | The player ID of the player who did the event that is being corrected |

\
**Sample Event Packet**

In this example an Approximate Lie packet has been corrected – The distance to pin and shot distance are the details which have been updated.

```
{
    "seqNum": 293,
    "groupId": 1186622,
    "roundNo": 1,
    "timestamp": "2025-02-06T13:39:55.000Z",
    "corrections": {
        "score": {
            "currentHolePar": 4,
            "overallScoreToPar": "+5",
            "currentHoleStrokes": 4,
            "currentRoundScoreToPar": "+5"
        },
        "finishReason": "BallHoled",
        "scorePending": False
    },
    "eventElementType": "HoleScoreUpdate",
    "timestampReceived": "2025-02-06T13:39:55.777Z",
    "eventCorrectedIdentifier": {
        "holeNo": 14,
        "playerId": None
    }
}
```

## Doc navigation

[← Corrections](/golf/round-details-scenarios/corrections.md)[Undos →](/golf/round-details-scenarios/undos.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/golf/round-details-scenarios/hole-score-update.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
